#let generic(numbering: true, author: "Jade", date,  doc) = {
  // Word abbreviations
  show "afg": "Aufgabe";
  show "def": "Definition";
  show "bsp": "Beispiel";
  show "zb": "zum Beispiel";
  show "wdh": "Wiederholung";

  // symbol shortcuts
  show "->": sym.arrow.right;
  show "<-": sym.arrow.left;

  show heading: it => {
    set text(font: "Departure Mono")
    underline(it)
  }
  set text(font: "B612");

  doc
}

// s (because fancy prefix and easy to type) and f (because also fast to type, from "fancy")
// formats `body` as Departure Mono. for variable/highlighting purposes.
#let sf(body) = text(font: "Departure Mono", body);
